/**
 *
 * Beschreibung
 *
 * @version 1.0 vom 25.06.2025
 * @author 
 */

public class Angestellter extends Mitarbeiter {
  
  // Anfang Attribute
  private double gehalt;
  // Ende Attribute
  
  public Angestellter(String vorname, String name) {
    super(vorname, name);
  }

  // Anfang Methoden
  public double getGehalt() {
    return gehalt;
  }

  public void setGehalt(double gehaltNeu) {
    gehalt = gehaltNeu;
  }

  public void gehalt_erhoehen(double prozent) {
    gehalt += (gehalt * prozent); 
    
  }

  // Ende Methoden
} // end of Angestellter
